#!/usr/bin/env bash
source Utils.sh
hpc=${HPC}
owner=${OWNER}/fig12 #fig10 or fig12 (does not matter)
theta="70"
side="5"
ecs=("0.8" "1.6" "2.4")
if OnHPC
then
	echo "  ec = ${ecs[@]}"
	for ec in ${ecs[@]}
	do
		from="${owner}/ca${theta}/side${side}/ec${ec}"
		to="$(pwd)/ec${ec}"
		ln -sfv ${from} ${to}
	done
else
	echo "  ec = ${ecs[@]}"
	for ec in ${ecs[@]}
	do
		from="${owner}/ca${theta}/side${side}/ec${ec}"
		to="$(pwd)/ec${ec}"
		if [[ ! -d ${to} ]]
		then
			CopyExportedData --hpc "${hpc}" --owner "${from}" --to "${to}" --every 1 #--verbose
		fi
	done
fi
echo "  run: python3 fig.py --ecs $(echo \"${ecs[@]}\" | sed 's/ /,/g') --sides ${side}"
echo "  run: pdfcrop fig.pdf fig.pdf"
