#!/usr/bin/env bash
source Utils.sh
hpc=${HPC}
owner=${OWNER}/fig12 #fig11 or fig12 (does not matter)
theta="70"
ec="1.5"
if OnHPC
then
	sides=($(GetXFromFoldersX --hpc "-1" --owner "${owner}/ca${theta}" --key "side"))
	for sidei in ${sides[@]}
	do
		from="${owner}/ca${theta}/side${sidei}/ec${ec}"
		to="$(pwd)/side${sidei}"
		ln -sfv ${from} ${to}
	done
else
	sides=($(GetXFromFoldersX --hpc "${hpc}" --owner "${owner}/ca${theta}" --key "side"))
	for sidei in ${sides[@]}
	do
		from="${owner}/ca${theta}/side${sidei}/ec${ec}"
		to="$(pwd)/side${sidei}"
		if [[ ! -d ${to} ]]
		then
			CopyExportedData --hpc "${hpc}" --owner "${from}" --to "${to}" --every 1 #--verbose
		fi
	done
fi
echo "  run: python3 fig.py --theta ${theta} --ec ${ec}"
echo "  run: pdfcrop fig.pdf fig.pdf"
