#!/usr/bin/env bash
source Utils.sh
hpc="${HPC}"
owner="${OWNER}/fig11"
finput="sim.in"
thetas="70:91:20"
sides="3:8"
ecs="1.5"
script="script.sh"
>${script}
echo "#!/usr/bin/env bash" >> ${script}
echo "source ~/.profile" >> ${script}
echo "source Utils.sh" >> ${script}
echo "Selffolding --theta \"${thetas}\" --side \"${sides}\" --ec \"${ecs}\" --in ${finput} --submit" >> ${script}
if OnHPC
then
    mkdir -p ${owner}
    cp ${script} sim.in ${owner}
    echo "#1: cd ${owner}"
    echo "#2: bash ${script}"
    echo "#3: ExportScript --verbose --submit"
    rm ${script}
else
    ssh ${hpc} "mkdir -p ${owner}"
    scp ${script} sim.in ${hpc}:${owner}
    echo "#1: ssh ${hpc}"
    echo "#2: cd ${owner}"
    echo "#3: bash ${script}"
    echo "#4: ExportScript --verbose --submit"
    rm ${script}
fi
