#!/usr/bin/env bash
source Utils.sh
hpc=${HPC}
owner=${OWNER}/fig12
if OnHPC
then
	thetas=($(GetXFromFoldersX --hpc "-1" --owner "${owner}" --key "ca"))
	for theta in ${thetas[@]}
	do
		ln -sfv ${owner}/ca${theta} ./ca${theta}
	done
	echo "  run: python3 fig.py --theta ${thetas[0]}"
else
	thetas=($(GetXFromFoldersX --hpc "${hpc}" --owner "${owner}" --key "ca"))
	for theta in ${thetas[@]}
	do
		sides=($(GetXFromFoldersX --hpc "${hpc}" --owner "${owner}/ca${theta}" --key "side"))
		for side in ${sides[@]}
		do
			ecs=($(GetXFromFoldersX --hpc "${hpc}" --owner "${owner}/ca${theta}/side${side}" --key "ec"))
			for ec in ${ecs[@]}
			do
				echo "  theta = ${theta} side = ${side} ec = ${ec}"
				wdir="ca${theta}/side${side}/ec${ec}"
				if [[ ! -d ${wdir} ]]
				then
					mkdir -p ${wdir}
					scp ${hpc}:${owner}/${wdir}/side0_t????[0].txt ${wdir} &> /dev/null
					scp ${hpc}:${owner}/${wdir}/drop_t????[0].vtk ${wdir} &> /dev/null
					scp ${hpc}:${owner}/${wdir}/side0_t????[0].stl ${wdir} &> /dev/null
				fi
			done
		done
	done
	echo "  run: python3 fig.py --theta ${thetas[0]}"
fi
echo "  run: pdfcrop fig.pdf fig.pdf"
