#!/usr/bin/env bash
source Utils.sh
hpc=${HPC}
owner=${OWNER}/fig2
if OnHPC
then
	sides=($(GetXFromFoldersX --hpc "-1" --owner "${owner}" --key "side"))
	for side in ${sides[@]}
	do
		echo "  sides (HPC) = ${side}"
		ln -sfv ${owner}/side${side} ./side${side}
	done
else
	sides=($(GetXFromFoldersX --hpc "${hpc}" --owner "${owner}" --key "side"))
	for side in ${sides[@]}
	do
		echo "sides = ${side}"
		wdir="side${side}"
		if [[ ! -d ${wdir} ]]
		then
			mkdir -p ${wdir}
			time=$(GetLatestTime --hpc "${hpc}" --owner "${owner}/side${side}" --width 5)
			scp ${hpc}:${owner}/${wdir}/base.stl ./${wdir} &> /dev/null
			scp ${hpc}:${owner}/${wdir}/phi_t${time}.vts ./${wdir} &> /dev/null
			scp ${hpc}:${owner}/${wdir}/drop_t${time}.vtk ./${wdir} &> /dev/null
			scp ${hpc}:${owner}/${wdir}/side?_t${time}.stl ./${wdir} &> /dev/null
			python3 fig.py --sides ${side} --t ${time}
		fi
	done
fi
