#!/usr/bin/env bash
source Utils.sh
hpc="${HPC}"
owner="${OWNER}/fig2"
finput="sim.in"
sides=("3" "4" "5")
script="script.sh"
echo -e "source Utils.sh" > ${script}
echo -e "for side in ${sides[@]}" >> ${script}
echo -e "do" >> ${script}
echo -e "\tmkdir -p side\${side}" >> ${script}
echo -e "\tcp sim.in side\${side}" >> ${script}
echo -e "\tUpdateInputFile --in side\${side}/${finput} --key \"sides\" --val \${side}" >> ${script}
echo -e "\tHemera --in ${finput} --out side\${side}/hemera.sh --jobname side\${side} --time 2 --np 4" >> ${script}
echo -e "\techo source Utils.sh; ExportData --verbose >> side\${side}/hemera.sh" >> ${script}
echo -e "\twd=\$(pwd); cd side\${side}; sbatch hemera.sh; cd \${wd}" >> ${script}
echo -e "done" >> ${script}
if OnHPC
then
    mkdir -p ${owner}
    cp ${script} sim.in ${owner}
    echo "#1: cd ${owner}"
    echo "#2: bash ${script}"
    rm ${script}
else
    ssh ${hpc} "mkdir -p ${owner}"
    scp ${script} sim.in ${hpc}:${owner}
    echo "#1: ssh ${hpc}"
    echo "#2: cd ${owner}"
    echo "#3: bash ${script}"
    rm ${script}
fi
