#!/bin/bash
tend=20000
every=100
mkdir -p sim
cp sim.in sim
cd sim
mpirun -np 1 Main --i sim.in &> log
loadPic=15
grep -A 2 "i = ${loadPic}" log
loadIt=$(ls -1 side0_load*_t00000.dat | sed -e 's/side0_load//' -e 's/_t00000.dat//' | sort -n | tail -n 1)
echo "  loadIt = ${loadIt}"
for (( loadi=0; loadi<=loadIt; loadi++ ))
do
	echo "  export hinge for load $loadi/$loadIt"
	ExportHinge --f hinge0_load${loadi} --t 0:${tend}:${every} &> /dev/null
done
lastTime=$(echo ${tend}-${every} | bc)
HingeToVTK.py --f hinge0_load${loadIt}_t${lastTime} --res 50
HingeToVTK.py --f hinge0_load${loadPic}_t${lastTime} --res 50
pvpython hinge0_load${loadPic}_t${lastTime}.py
cd ..
echo "  run: python3 fig.py --loadIt $((loadIt+1)) --loadPic ${loadPic} --t 0:${tend}:${every}"
echo "  run: pdfcrop fig.pdf fig.pdf"
