#!/usr/bin/env bash
source Utils.sh
hpc=${HPC}
owner="${OWNER}/fig7"
verbose=false
redirection="&> /dev/null"
if ${verbose}
then
	redirection=""
fi
if OnHPC
then
	nxs=($(GetXFromFoldersX --hpc "${hpc}" --owner "${owner}" --key "nx"))
	thetas=($(GetXFromFoldersX --hpc ${hpc} --owner "${owner}/nx${nxs[0]}" --key "theta"))
	echo "  nx = ${nxs[@]}"
	echo "  theta = ${thetas[@]}"
	for nx in ${nxs[@]}
	do
		for theta in ${thetas[@]}
		do
			nx_dir="$(pwd)/nx${nx}"
			mkdir -p ${nx_dir}
			from="${owner}/nx${nx}/theta${theta}"
			to="${nx_dir}/theta${theta}"
			ln -sfv ${from} ${to}
		done
	done
else
	nxs=($(GetXFromFoldersX --hpc "${hpc}" --owner "${owner}" --key "nx"))
	thetas=($(GetXFromFoldersX --hpc ${hpc} --owner "${owner}/nx${nxs[0]}" --key "theta"))
	echo "  nx = ${nxs[@]}"
	echo "  theta = ${thetas[@]}"
	for nx in ${nxs[@]}
	do
		for theta in ${thetas[@]}
		do
			from="${owner}/nx${nx}/theta${theta}"
			to="$(pwd)/nx${nx}/theta${theta}"
			latestTime=$(GetLatestTime --hpc ${hpc} --owner ${from} --width 5)
			echo "  nx = ${nx} theta = ${theta} t = ${latestTime}"
			mkdir -p ${to}
			cmd="scp ${hpc}:${from}/force.dat ${to} ${redirection}"; eval "${cmd}"
			if [[ ${latestTime} !=  "-1" ]]
			then
				cmd="scp ${hpc}:${from}/base.stl                  ${to} ${redirection}"; eval "${cmd}"
				cmd="scp ${hpc}:${from}/drop_t${latestTime}.vtk   ${to} ${redirection}"; eval "${cmd}"
				cmd="scp ${hpc}:${from}/phi_t${latestTime}.vts    ${to} ${redirection}"; eval "${cmd}"
				cmd="scp ${hpc}:${from}/tpcl??_t${latestTime}.py  ${to} ${redirection}"; eval "${cmd}"
				cmd="scp ${hpc}:${from}/tpcl??_t${latestTime}.txt ${to} ${redirection}"; eval "${cmd}"
			else
				echo "  no exported data available"
			fi
		done
	done
fi
echo "  run: python3 fig.py"
echo "  run: pdfcrop fig.pdf fig.pdf"
